UT on Vintage/Retro Mac Hardware

Discussions about UT99
caver01
Novice
Posts: 27
Joined: Tue Nov 14, 2023 6:50 pm

UT on Vintage/Retro Mac Hardware

Post by caver01 »

As an avid fan of the game having recently setup a server running the latest 469d patch, X-vehicles, FNN, map vote etc. etc. I am really enjoying all of the hard work everyone has put into maintaining this great game. THANKS!

Another area of interest for me is retro computing on old Macs. In addition to restoring, recapping, repairing old compact Macs over the years, I recently acquired an eMac--the last CRT Macintosh Apple ever built that I setup for dual-booting MacOS9 and OSX (Tiger and Sorbet Leopard).

The OS9 environment is especially nostalgic, as I have, naturally, used my original UT CD-ROM to install the game. It actually runs very well on my retro eMac (1GHz G4, 1GB RAM, OS9.2.2, ATI Rage 7500 integrated graphics). However, given the early version, I cannot connect to my modern UT server on the LAN. I know I can install patches as there were several, but I thought I'd use the opportunity to save a little trial and error and ask if anyone else is running Unreal or UT on original hardware.

What patches should I (or indeed can I) install in Mac OS9 to bring the old Mac/UT up to as current as I am able? In other words, at what point am I stuck, and will I ever be compatible with my own server? I know, for instance, that 469 is unlikely, as it needs to support PowerPC, but I figured someone must have something similar setup and can give me good advice.

Thanks!

Caver01 (MukaiMan)   
Auto merged new post submitted 12 hours 17 minutes later
Nevermind!

I found and downloaded the 436 updater patch, then installed Bonus Packs 1234. I can connect to my server fine now. Using Rave video driver works great!